KDE 4.2 PyKDE API Reference

- KDE's Python API

# KPropertiesDialogPlugin Class Reference

`from PyKDE4.kio import *`

Inherits: QObject
Subclasses: KFileSharePropsPlugin

## Detailed Description

## Signals

| changed ()

## Methods

| __init__ (self, KPropertiesDialog _props)
| applyChanges (self)
| changed (self)
int | fontHeight (self)
bool | isDirty (self)
| setDirty (self, bool b)
| setDirty (self)

## Static Methods

bool | isDesktopFile (KFileItem _item)

## Method Documentation

__init__ | ( | self, |
|  | KPropertiesDialog | _props
| ) |  |  |

Constructor To insert tabs into the properties dialog, use the add methods provided by KPageDialog (the properties dialog is a KPageDialog).

applyChanges | ( |  | self ) |

Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first.

changed | ( |  | self ) |

Emit this signal when the user changed anything in the plugin's tabs. The hosting PropertiesDialog will call applyChanges only if the PropsPlugin has emitted this signal or if you have called setDirty() before.

Signal syntax:
  `QObject.connect(source, SIGNAL("changed()"), target_slot)`

int fontHeight | ( |  | self ) |

bool isDesktopFile | ( | KFileItem | _item
| ) |  |  |

Convenience method for most .supports methods

Returns:
  true if the file is a local, regular, readable, desktop file

Deprecated:
  use KFileItem.isDesktopFile

bool isDirty | ( |  | self ) |

setDirty | ( | self, |
|  | bool | b
| ) |  |  |

setDirty | ( |  | self ) |